Class List Method List File List

# Module: Yast::RestoreHelpsInclude

Defined in:
  ../../src/include/restore/helps.rb

## Instance Method Summary (collapse)

- - (String) ArchiveContentHelp

  Help text for archive content dialog.

- - (String) ArchiveMultiSelectionHelp

  Help text for multivolume archive dialog.

- - (String) ArchivePropertyHelp

  Help text for archive property dialog.

- - (String) ArchiveSelectionHelp

  Help text for archive selection dialog.

- - (String) FileSelectionHelp

  Help text for file selection dialog.

- - (Object) initialize_restore_helps(include_target)
- - (String) InstallPackageHelp

  Help text for install package selection dialog.

- - (String) RestoreOptionsHelp

  Help text for options dialog.

- - (String) RestorePackageHelp

  Part of help text, it is used at more help texts.

- - (String) RestoreProgressHelp

  Help text for progress dialog.

- - (String) RestoreSelectionHelp(personal)

  Help text for package selection dialog.

- - (String) SummaryHelp

  Help text for summary dialog.

- - (String) UninstallPackageHelp

  Help text for uninstall package selection dialog.

## Instance Method Details

### - (`String`) ArchiveContentHelp

Help text for archive content dialog

Returns:

- (`String`) —

  Help text

    116
    117
    118
    119
    120
    121
    # File '../../src/include/restore/helps.rb', line 116

    def ArchiveContentHelp
      # For translators: archive property dialog help
      _(
        "<P><B><BIG>Archive Contents</BIG></B><BR>\nThe packages and files in the backup archive are displayed here.</P>\n"
      )
    end

### - (`String`) ArchiveMultiSelectionHelp

Help text for multivolume archive dialog

Returns:

- (`String`) —

  Help text

    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    94
    95
    # File '../../src/include/restore/helps.rb', line 84

    def ArchiveMultiSelectionHelp
      # multi volume archive selection help text 1/2
      _(
        "<P><B><BIG>Multivolume Archive</BIG></B><BR>The backup archive has more than\none volume.  In this dialog, enter volumes that belong to the backup archive.</P>\n"
      ) +
        # multi volume archive selection help text 2/2
        _(
          "<P>After the volume is read, the filename is automatically changed to the\n" +
            "next volume name. Press <B>Next</B> to\n" +
            "continue to the next volume.</P>\n"
        )
    end

### - (`String`) ArchivePropertyHelp

Help text for archive property dialog

Returns:

- (`String`) —

  Help text

    101
    102
    103
    104
    105
    106
    107
    108
    109
    110
    # File '../../src/include/restore/helps.rb', line 101

    def ArchivePropertyHelp
      # For translators: archive property dialog help
      _(
        "<P><B><BIG>Archive Properties</BIG></B><BR>Information about the backup archive\n" +
          "is displayed here.  Press <B>Archive Contents</B> to\n" +
          "show the contents of the archive.  Press <B>Expert Options</B> to set advanced restore\n" +
          "options.  If the archive is a multivolume archive, \n" +
          "select more volumes after pressing <B>Next</B>.</P>"
      )
    end

### - (`String`) ArchiveSelectionHelp

Help text for archive selection dialog

Returns:

- (`String`) —

  Help text

    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    # File '../../src/include/restore/helps.rb', line 49

    def ArchiveSelectionHelp
      # For translators: archive selection dialog help (part 1)
      _(
        "<P><B><BIG>Restore Module</BIG></B><BR>The restore module can restore your system from a backup archive.</P>"
      ) +
        # For translators: archive selection dialog help, (part 2)
        _("<P>Archive can be read from:</P>") +
        # For translators: archive selection dialog help, (part 3)
        _(
          "<P><B>Local File</B>: The archive is already available in the system. It is on a mounted file system.</P>"
        ) +
        # For translators: archive selection dialog help, (part 4)
        _(
          "<P><B>Network</B>: The backup archive can be read from network using NFS.</P>"
        ) +
        # For translators: archive selection dialog help, (part 5)
        _(
          "<P><B>Removable Device</B>: The archive is on a removable device or\n" +
            "on an unmounted file system. The device can be selected from a list or you can enter the device filename\n" +
            "(for example, /dev/hdc) if not listed.</P>\n"
        ) +
        # For translators: archive selection dialog help, (part 6)
        _(
          "<P>If you press <B>Select</B>, the device is mounted\nand you can select the file from a dialog.</P>\n"
        ) +
        # For translators: archive selection dialog help (part 7)
        _(
          "<P>Note: If you have a multivolume archive, select the first volume.</P>"
        )
    end

### - (`String`) FileSelectionHelp

Help text for file selection dialog

Returns:

- (`String`) —

  Help text

    223
    224
    225
    226
    227
    228
    229
    230
    # File '../../src/include/restore/helps.rb', line 223

    def FileSelectionHelp
      # For translators: file selection help (part 1)
      _(
        "<P><B><BIG>File Selection</BIG></B><BR>\n" +
          "Select which files to restore.\n" +
          "</P>\n"
      )
    end

### - (`Object`) initialize_restore_helps(include_target)

    42
    43
    44
    # File '../../src/include/restore/helps.rb', line 42

    def initialize_restore_helps(include_target)
      textdomain "restore"
    end

### - (`String`) InstallPackageHelp

Help text for install package selection dialog

Returns:

- (`String`) —

  Help text

    153
    154
    155
    156
    157
    158
    159
    160
    161
    162
    163
    164
    # File '../../src/include/restore/helps.rb', line 153

    def InstallPackageHelp
      Ops.add(
        RestorePackageHelp(),
        # For translators: package installation help
        _(
          "<P>There is a list with uninstalled packages in the table. These packages\n" +
            "were installed at backup time, but are now missing.  To obtain the same system \n" +
            "configuration as at the time of backup, select all packages.  <b>X</b> in \n" +
            "the first column means that the package will be installed.</P>"
        )
      )
    end

### - (`String`) RestoreOptionsHelp

Help text for options dialog

Returns:

- (`String`) —

  Help text

    127
    128
    129
    130
    131
    132
    133
    134
    135
    136
    # File '../../src/include/restore/helps.rb', line 127

    def RestoreOptionsHelp
      # For translators: option dialog help (part 1)
      _(
        "<P><B><BIG>Restore Options</BIG></B><BR>These options are intended for\nexpert users. The default values are usually appropriate.</P>\n"
      ) +
        # For translators: option dialog help (part 2)
        _(
          "<p>Select <B>Activate Boot Loader Configuration</B> to reinstall the boot loader.\nSome boot loaders, such as LILO, must be reinstalled if configuration files or files needed at system boot are changed.</p>\n"
        )
    end

### - (`String`) RestorePackageHelp

Part of help text, it is used at more help texts

Returns:

- (`String`) —

  Help text

    142
    143
    144
    145
    146
    147
    # File '../../src/include/restore/helps.rb', line 142

    def RestorePackageHelp
      # For translators: package restoration note (used in more dialogs)
      _(
        "<P><B><BIG>Package Restoration</BIG></B><BR>Restore the set of installed packages to the state at the time of backup.</P>"
      )
    end

### - (`String`) RestoreProgressHelp

Help text for progress dialog

Returns:

- (`String`) —

  Help text

    236
    237
    238
    239
    240
    241
    242
    243
    244
    # File '../../src/include/restore/helps.rb', line 236

    def RestoreProgressHelp
      # progress bar help text
      _(
        "<P><B><BIG>Restoring</BIG></B><BR>\n" +
          "Files are being restored from the backup archive now.\n" +
          "It will take some time, depending on the size and number of restored files.\n" +
          "</P>\n"
      )
    end

### - (`String`) RestoreSelectionHelp(personal)

Help text for package selection dialog

Parameters:

- personal (`Boolean`) —

  If false, add partial selection help text

Returns:

- (`String`) —

  Help text

    191
    192
    193
    194
    195
    196
    197
    198
    199
    200
    201
    202
    203
    204
    205
    206
    207
    208
    209
    210
    211
    212
    213
    214
    215
    216
    217
    # File '../../src/include/restore/helps.rb', line 191

    def RestoreSelectionHelp(personal)
      # For translators: restore selection help 1/5
      _(
        "<P><B><BIG>Selection</BIG></B><BR>\nSelect which packages to restore from the backup archive.</P>\n"
      ) +
        # For translators: restore selection help 2/5
        _(
          "<P>The first column displays the restoration status of the package. It can be <b>X</b> (package will be restored) or empty (package will not be restored).</P>"
        ) +
        # For translators: restore selection help 3/5
        (personal == false ?
          _(
            "<P><b>P</b> means that a package will be restored only partially. Press <B>Select Files</B> to restore a package partially.</P>"
          ) :
          "") +
        # For translators: restore selection help 4/5
        _(
          "<P>The number of selected files to restore from the archive is in the second column.</P>"
        ) +
        # For translators: restore selection help 5/5
        _(
          "<p>If you deleted the RPM database by mistake or if it is badly\n" +
            "corrupted, select <b>Restore RPM Database</b>.\n" +
            "The database is then restored if it is available in the backup archive.\n" +
            "In other cases, leave this option unchecked.</p>"
        )
    end

### - (`String`) SummaryHelp

Help text for summary dialog

Returns:

- (`String`) —

  Help text

    250
    251
    252
    253
    254
    255
    256
    257
    258
    259
    260
    261
    262
    263
    264
    265
    266
    267
    268
    269
    270
    271
    272
    273
    # File '../../src/include/restore/helps.rb', line 250

    def SummaryHelp
      # summary dialog help text 1/3
      _(
        "<P><B><BIG>Summary</BIG></B><BR>\n" +
          "This is a summary of the restoration process. To see more details, select\n" +
          "<B>Show Details</B>. To save the summary to a file, select <B>Save to File</B>.\n" +
          "</P>\n" +
          "\n"
      ) +
        # summary dialog help text 2/3
        _(
          "<P><B>Note:</B> Displaying the detailed summary can \n" +
            "take a long time depending on the number\n" +
            "of restored files.\n" +
            "</P>\n"
        ) +
        # summary dialog help text 3/3
        _(
          "<P>Some changes, such as a kernel update, made by the restore \n" +
            "module can be activated only after a system\n" +
            "reboot. It is recommended to reboot the system after\n" +
            "restoration.</P>\n"
        )
    end

### - (`String`) UninstallPackageHelp

Help text for uninstall package selection dialog

Returns:

- (`String`) —

  Help text

    170
    171
    172
    173
    174
    175
    176
    177
    178
    179
    180
    181
    182
    183
    184
    # File '../../src/include/restore/helps.rb', line 170

    def UninstallPackageHelp
      Ops.add(
        Ops.add(
          RestorePackageHelp(),
          # For translators: package uninstallation help
          _(
            "<P>Packages in the table were not installed at the time of backup, but are now.  To obtain the same system configuration as at backup time, uninstall all packages. </P>"
          )
        ),
        # For translators: package uninstallation help (part 2)
        _(
          "<P><b>X</b> in the first column means that the package will be \nuninstalled. To leave a package installed, deselect it.</P>"
        )
      )
    end